from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSubTotalCalculatable(XInterface, Protocol):
    def createSubTotalDescriptor(self, bEmpty: bool) -> XSubTotalDescriptor: ...
    def applySubTotals(self, xDescriptor: XSubTotalDescriptor, bReplace: bool) -> None: ...
    def removeSubTotals(self) -> None: ...
